Android SDK Minimum Requirements

Overview

The following article describes the Android SDK requirements

 

compileSdkVersion 30 

android {
   ....
   compileSdkVersion 30
   }

AndroidX minSdkVersion 21 or higher

    android {
        minSdkVersion 21
       ...
}

Android Support minSdkVersion 21 or higher

    android {
       minSdkVersion 21
       ...
}

JavaVersion.VERSION_1_8

android {
   compileOptions {
       targetCompatibility JavaVersion.VERSION_1_8
    }
}

App Permissions requirements (AndroidManifest)

<uses-permission android:name="android.permission.INTERNET" />
<uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>